Subject: [tcpm] Minor rev to draft-ietf-tcpm-accurate-ecn-05

From: Bob Briscoe <[email-masked]>
Date: Mon, 13 Nov 2017 13:00:45 +0800

Folks,

We've just posted a minor rev to the AccECN draft, URLs below. Summary 
of diffs:

  * AccECN applicability is irrespective of whether ECN (of whatever
    flavour) is in the network.
  * Details missed in the previous rev wrt testing for IP/ECN mangling
    of SYN/ACK:
      o Defines what exactly the 3rd ACK of the 3WHS is  (by ACKNO),
        which includes ACK of retransmission of SYN/ACK
      o Implications if 3rd ACK of 3WHS doesn't arrive.
  * Also, ironically, added some acknowledgements (of human effort).

Now we reckon it's really ready for WGLC.

Cheers

Bob

On 13/11/2017 12:47, [email-masked] wrote:
> A new version of I-D, draft-ietf-tcpm-accurate-ecn-05.txt
> has been successfully submitted by Bob Briscoe and posted to the
> IETF repository.
>
> Name:		draft-ietf-tcpm-accurate-ecn
> Revision:	05
> Title:		More Accurate ECN Feedback in TCP
> Document date:	2017-11-11
> Group:		tcpm
> Pages:		43
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-tcpm-accurate-ecn-05.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-tcpm-accurate-ecn/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-tcpm-accurate-ecn-05
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-tcpm-accurate-ecn-05
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-tcpm-accurate-ecn-05
>
> Abstract:
>     Explicit Congestion Notification (ECN) is a mechanism where network
>     nodes can mark IP packets instead of dropping them to indicate
>     incipient congestion to the end-points.  Receivers with an ECN-
>     capable transport protocol feed back this information to the sender.
>     ECN is specified for TCP in such a way that only one feedback signal
>     can be transmitted per Round-Trip Time (RTT).  Recently, new TCP
>     mechanisms like Congestion Exposure (ConEx) or Data Center TCP
>     (DCTCP) need more accurate ECN feedback information whenever more
>     than one marking is received in one RTT.  This document specifies an
>     experimental scheme to provide more than one feedback signal per RTT
>     in the TCP header.  Given TCP header space is scarce, it overloads
>     the three existing ECN-related flags in the TCP header and provides
>     additional information in a new TCP option.
>
>                                                                                    
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>